%define name iptraf
%define version 2.0.1
%define release 2mdk

%define fullname %{name}-%{version}

Summary: A console-based network monitoring program
Name: %{name}
Version: %{version}
Release: %{release}
Packager: Oden Eriksson <oden@kvikkjokk.com>
URL: http://cebu.mozcom.com/riker/iptraf
Source: ftp://ftp.cebu.mozcom.com/pub/linux/net/%{fullname}.tar.bz2
Patch: %{fullname}.config.patch.bz2
Copyright: GPL
Requires: kernel >= 2.2
Group: Monitoring
Prefix:    /usr
Docdir:    %{prefix}/doc
BuildRoot: /var/tmp/%{name}-buildroot

%description
IPTraf is a console-based network monitoring program for Linux that
displays information about IP traffic.  It returns such information as:

Current TCP connections UDP, ICMP, OSPF, and other types of IP packets
Packet and byte counts on TCP connections IP, TCP, UDP, ICMP, non-IP,
and other packet and byte counts TCP/UDP counts by ports Interface
activity Flag statuses on TCP packets LAN station statistics

This program can be used to determine the type of traffic on your network,
and what kind of service is the most heavily used on what machines, among
others.

IPTraf works on Ethernet, FDDI, ISDN, PLIP, and SLIP/PPP interfaces.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q %{fullname}
%patch -p1 -b .config

%build
cd src
make CFLAGS="$RPM_OPT_FLAGS"
cd .. 


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{prefix}/{bin,doc,man,man/man8}
install -d $RPM_BUILD_ROOT{/var/iptraf,/var/log/iptraf}
install -m 755 src/iptraf $RPM_BUILD_ROOT%{prefix}/bin/iptraf
install -m 755 src/rvnamed $RPM_BUILD_ROOT%{prefix}/bin/rvnamed
mv Documentation/*.8 src/
install -m 644 src/*.8 $RPM_BUILD_ROOT%{prefix}/man/man8
for i in CHANGES INSTALL README*; do
  install -m 644 $i $RPM_BUILD_ROOT%{prefix}/doc/$i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES INSTALL README* Documentation
%{prefix}/bin/*
%{prefix}/man/man8/*
%dir /var/iptraf
%dir /var/log/iptraf

%changelog
* Fri Apr 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-2mdk
- fix group

* Wed Mar 01 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build

* Sun Jul 18 1999 Oden Eriksson <oden@kvikkjokk.com>
- Updated to version 2.0.1
- Repacked for Linux Mandrake

* Sat Apr 18 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Sat Jan 16 1999 Anders Semb Hermansen <ahermans@vf.telia.no>
- Updated to version 1.4.2
- Used name and version variables in source field

* Wed Jan 6 1999 Anders Semb Hermansen <ahermans@vf.telia.no>
- Maintainer for RHCN: Anders Semb Hermansen
